checkbox: run crashed with DBusException in call_blocking()

Bug #359440 reported by HBLaw on 2009-04-11
164
This bug affects 15 people
Affects Status Importance Assigned to Milestone
checkbox (Ubuntu)
High
Marc Tardif
Jaunty
High
Marc Tardif

Bug Description

checkbox (System -> Administration -> System Testing) fails to start for systems that have been upgraded from intrepid.

TESTCASE:
run checkbox-gtk; on failure, a python traceback will occur, ending with:
  dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.39" is not allowed to own the service "com.ubuntu.checkbox" due to security policies in the configuration file

Workaround:
In /etc/checkbox.d/checkbox.ini, manually add

  blacklist = backend_manager

underneath the section heading [checkbox/plugins]

HBLaw (huangbolaw) wrote :

This crash has the same stack trace characteristics as bug #344916. However, the latter was already fixed in an earlier package version than the one in this report. This might be a regression or because the problem is in a dependent package.

tags: removed: need-duplicate-check
tags: added: regression-retracer
visibility: private → public
Changed in checkbox (Ubuntu):
importance: Undecided → High

hi there,

the workaround for Bug #344916 solved the problem ...

and perhaps only users who upgraded from 8.10 are affected?!?

edit /etc/checkbox.d/checkbox.ini to:

[DEFAULT]
version = 0.1-0ubuntu10
plugins = checkbox/plugins
registries = checkbox/registries

[checkbox/plugins]
blacklist = backend_manager # THAT IS MISSING!!!
modules = %(checkbox_share)s/plugins

[checkbox/registries]
modules = %(checkbox_share)s/registries

the command requires su but it is not set in the launcher.

Thank you, now work fine.
I'm sorry for the dublicate error

2009/4/12 andero <email address hidden>

> hi there,
>
> the workaround for Bug #344916 solved the problem ...
>
> and perhaps only users who upgraded from 8.10 are affected?!?
>
> edit /etc/checkbox.d/checkbox.ini to:
>
>
> [DEFAULT]
> version = 0.1-0ubuntu10
> plugins = checkbox/plugins
> registries = checkbox/registries
>
> [checkbox/plugins]
> blacklist = backend_manager # THAT IS MISSING!!!
> modules = %(checkbox_share)s/plugins
>
> [checkbox/registries]
> modules = %(checkbox_share)s/registries
>
> --
> run crashed with DBusException in call_blocking()
> https://bugs.launchpad.net/bugs/359440
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “checkbox” source package in Ubuntu: New
>
> Bug description:
> Binary package hint: checkbox
>
> Don't know what happened. I was opening "System Testing" in the control
> center.
>
> ProblemType: Crash
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/share/checkbox/run
> InterpreterPath: /usr/bin/python2.6
> Package: checkbox 0.7.1
> PackageArchitecture: all
> ProcCmdline: python /usr/share/checkbox/run
> /usr/share/checkbox/configs/checkbox-gtk.ini
> ProcEnviron:
> SHELL=/bin/bash
> LANG=en_US.UTF-8
> PythonArgs: ['/usr/share/checkbox/run',
> '/usr/share/checkbox/configs/checkbox-gtk.ini']
> SourcePackage: checkbox
> Title: run crashed with DBusException in call_blocking()
> Uname: Linux 2.6.28-11-generic i686
> UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin plugdev
> video
>

Occurred here as well, post-upgrade from a stock 8.10 i386 install. Also confirmed that adding the blacklist line causes things to work.

Changed in checkbox (Ubuntu):
status: New → Confirmed
Marc Tardif (cr3) on 2009-04-14
Changed in checkbox (Ubuntu):
assignee: nobody → Marc Tardif (cr3)
status: Confirmed → In Progress
norris (16sinker) wrote :

This just happened to me when I opened System Testing. I'm new at this, but I don't understand whether I should do anything to prevent further errors, as this occured after an update. Will this bug be fixed in future beta updates? I apologise for perhaps violating protocol on Launchpad, but I didn't see a fix in the preceeding posts. All I was doing was reporting the error I got when I opened system-administration-system testing. Any advice?

Marc Tardif (cr3) wrote :

The problem was introduced in patch 0.5:

    # Rename options
    file = StringIO()
    config.write(file)

The above is obviously not doing anything! So, this needs to be changed to something sensible like:

    file = open(config_file, "w")
    config.write(file)

What?

On Tue, Apr 14, 2009 at 6:56 PM, Marc Tardif <email address hidden>wrote:

> The problem was introduced in patch 0.5:
>
> # Rename options
> file = StringIO()
> config.write(file)
>
> The above is obviously not doing anything! So, this needs to be changed
> to something sensible like:
>
> file = open(config_file, "w")
> config.write(file)
>
> --
> run crashed with DBusException in call_blocking()
> https://bugs.launchpad.net/bugs/359440
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “checkbox” source package in Ubuntu: In Progress
>
> Bug description:
> Binary package hint: checkbox
>
> Don't know what happened. I was opening "System Testing" in the control
> center.
>
> ProblemType: Crash
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/share/checkbox/run
> InterpreterPath: /usr/bin/python2.6
> Package: checkbox 0.7.1
> PackageArchitecture: all
> ProcCmdline: python /usr/share/checkbox/run
> /usr/share/checkbox/configs/checkbox-gtk.ini
> ProcEnviron:
> SHELL=/bin/bash
> LANG=en_US.UTF-8
> PythonArgs: ['/usr/share/checkbox/run',
> '/usr/share/checkbox/configs/checkbox-gtk.ini']
> SourcePackage: checkbox
> Title: run crashed with DBusException in call_blocking()
> Uname: Linux 2.6.28-11-generic i686
> UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin plugdev
> video
>

--
Norris

Marc Tardif (cr3) on 2009-04-15
Changed in checkbox (Ubuntu):
status: In Progress → Fix Committed

Checkbox also consists of patches which need to be applied in an orderly fashion to the configuration files. For example, these patches were responsible for magically converting the configurations from the old project name "hwtest" to the new name "checkbox". So, instead of having to annoy the user about these changes, these are applied automatically when the conversion can be determined programatically.

That being said, the patch for version 0.5 was supposed to blacklist the backend_manager as observed by andero. However, because the patch was essentially a dud which essentially did nothing, this line was omitted. So, I have added a patch to both the trunk and the branch in jaunty to correct this problem.

OK.

On Tue, Apr 14, 2009 at 7:25 PM, Marc Tardif <email address hidden>wrote:

> ** Changed in: checkbox (Ubuntu)
> Status: In Progress => Fix Committed
>
> --
> run crashed with DBusException in call_blocking()
> https://bugs.launchpad.net/bugs/359440
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “checkbox” source package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: checkbox
>
> Don't know what happened. I was opening "System Testing" in the control
> center.
>
> ProblemType: Crash
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/share/checkbox/run
> InterpreterPath: /usr/bin/python2.6
> Package: checkbox 0.7.1
> PackageArchitecture: all
> ProcCmdline: python /usr/share/checkbox/run
> /usr/share/checkbox/configs/checkbox-gtk.ini
> ProcEnviron:
> SHELL=/bin/bash
> LANG=en_US.UTF-8
> PythonArgs: ['/usr/share/checkbox/run',
> '/usr/share/checkbox/configs/checkbox-gtk.ini']
> SourcePackage: checkbox
> Title: run crashed with DBusException in call_blocking()
> Uname: Linux 2.6.28-11-generic i686
> UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin plugdev
> video
>

--
Norris

norris (16sinker) wrote :

Marc,
I appreciate your reply. Maybe you could refer me to a thread in Ubuntu
Forums that could explain this. As I said-I don't understand, but I won't
run System Testing again until I
On Tue, Apr 14, 2009 at 7:37 PM, Marc Tardif <email address hidden>wrote:

> Checkbox also consists of patches which need to be applied in an orderly
> fashion to the configuration files. For example, these patches were
> responsible for magically converting the configurations from the old
> project name "hwtest" to the new name "checkbox". So, instead of having
> to annoy the user about these changes, these are applied automatically
> when the conversion can be determined programatically.
>
> That being said, the patch for version 0.5 was supposed to blacklist the
> b It wasackend_manager as observed by andero. However, because the patch
> was
> essentially a dud which essentially did nothing, this line was omitted.
> So, I have added a patch to both the trunk and the branch in jaunty to
> correct this problem.
>
> --
> run crashed with DBusException in call_blocking()
> https://bugs.launchpad.net/bugs/359440
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “checkbox” source package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: checkbox
>
> Don't know what happened. I was opening "System Testing" in the control
> center.
>
> ProblemType: Crash
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/share/checkbox/run
> InterpreterPath: /usr/bin/python2.6
> Package: checkbox 0.7.1
> PackageArchitecture: all
> ProcCmdline: python /usr/share/checkbox/run
> /usr/share/checkbox/configs/checkbox-gtk.ini
> ProcEnviron:
> SHELL=/bin/bash
> LANG=en_US.UTF-8
> PythonArgs: ['/usr/share/checkbox/run',
> '/usr/share/checkbox/configs/checkbox-gtk.ini']
> SourcePackage: checkbox
> Title: run crashed with DBusException in call_blocking()
> Uname: Linux 2.6.28-11-generic i686
> UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin plugdev
> video
>

--
Norris

Steve Beattie (sbeattie) on 2009-04-15
summary: - run crashed with DBusException in call_blocking()
+ checkbox: run crashed with DBusException in call_blocking()

Given that this only affects upgrades and not fresh installations of jaunty, proposing for an SRU; ubuntu-sru subscribed.

description: updated
summary: - checkbox: run crashed with DBusException in call_blocking()
+ run crashed with DBusException in call_blocking()
Changed in checkbox (Ubuntu Jaunty):
milestone: none → jaunty-updates
summary: - run crashed with DBusException in call_blocking()
+ checkbox: run crashed with DBusException in call_blocking()

Need further info as I don't have permission to add
blacklist=backend_manager to my etc/checkbox.d/checkbox.ini file manually.

On Wed, Apr 15, 2009 at 12:53 AM, Steve Beattie <email address hidden> wrote:

> Given that this only affects upgrades and not fresh installations of
> jaunty, proposing for an SRU; ubuntu-sru subscribed.
>
> ** Summary changed:
>
> - checkbox: run crashed with DBusException in call_blocking()
> + run crashed with DBusException in call_blocking()
>
> ** Description changed:
>
> - Binary package hint: checkbox
> + checkbox (System -> Administration -> System Testing) fails to start for
> + systems that have been upgraded from intrepid.
>
> - Don't know what happened. I was opening "System Testing" in the control
> - center.
> + TESTCASE:
> + run checkbox-gtk; on failure, a python traceback will occur, ending with:
> + dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied:
> Connection ":1.39" is not allowed to own the service "com.ubuntu.checkbox"
> due to security policies in the configuration file
>
> - ProblemType: Crash
> - Architecture: i386
> - DistroRelease: Ubuntu 9.04
> - ExecutablePath: /usr/share/checkbox/run
> - InterpreterPath: /usr/bin/python2.6
> - Package: checkbox 0.7.1
> - PackageArchitecture: all
> - ProcCmdline: python /usr/share/checkbox/run
> /usr/share/checkbox/configs/checkbox-gtk.ini
> - ProcEnviron:
> - SHELL=/bin/bash
> - LANG=en_US.UTF-8
> - PythonArgs: ['/usr/share/checkbox/run',
> '/usr/share/checkbox/configs/checkbox-gtk.ini']
> - SourcePackage: checkbox
> - Title: run crashed with DBusException in call_blocking()
> - Uname: Linux 2.6.28-11-generic i686
> - UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin plugdev
> video
> + Workaround:
> + In /etc/checkbox/checkbox.ini, manually add
> +
> + blacklist = backend_manager
> +
> + underneath the section heading [checkbox/plugins]
>
> ** Changed in: checkbox (Ubuntu Jaunty)
> Milestone: None => jaunty-updates
>
> ** Summary changed:
>
> - run crashed with DBusException in call_blocking()
> + checkbox: run crashed with DBusException in call_blocking()
>
> --
> checkbox: run crashed with DBusException in call_blocking()
> https://bugs.launchpad.net/bugs/359440
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “checkbox” source package in Ubuntu: Fix Committed
> Status in checkbox in Ubuntu Jaunty: Fix Committed
>
> Bug description:
> checkbox (System -> Administration -> System Testing) fails to start for
> systems that have been upgraded from intrepid.
>
> TESTCASE:
> run checkbox-gtk; on failure, a python traceback will occur, ending with:
> dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied:
> Connection ":1.39" is not allowed to own the service "com.ubuntu.checkbox"
> due to security policies in the configuration file
>
> Workaround:
> In /etc/checkbox/checkbox.ini, manually add
>
> blacklist = backend_manager
>
> underneath the section heading [checkbox/plugins]
>

--
Norris

Martin Pitt (pitti) wrote :

Okay, please get this uploaded to jaunty-proposed.

Roland (roland1979) wrote :

Can confirm this bug, did an upgrade from 8.10 installation. Adding the backend-line fixes the problem.

How do I get to /etc/checkbox/checkbox.ini with permission to manually add
blacklist=backend_manager? In my file system I open /etc and there is
checkbox.d but no checkbox. Are they the same? Checkbox.d does contain a
file /checkbox.ini. I don't really know exactly what to do, so I'll do
nothing until I'm sure.

On Wed, Apr 15, 2009 at 2:22 PM, Roland Arendes <email address hidden> wrote:

> Can confirm this bug, did an upgrade from 8.10 installation. Adding the
> backend-line fixes the problem.
>
> --
> checkbox: run crashed with DBusException in call_blocking()
> https://bugs.launchpad.net/bugs/359440
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “checkbox” source package in Ubuntu: Fix Committed
> Status in checkbox in Ubuntu Jaunty: Fix Committed
>
> Bug description:
> checkbox (System -> Administration -> System Testing) fails to start for
> systems that have been upgraded from intrepid.
>
> TESTCASE:
> run checkbox-gtk; on failure, a python traceback will occur, ending with:
> dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied:
> Connection ":1.39" is not allowed to own the service "com.ubuntu.checkbox"
> due to security policies in the configuration file
>
> Workaround:
> In /etc/checkbox/checkbox.ini, manually add
>
> blacklist = backend_manager
>
> underneath the section heading [checkbox/plugins]
>

--
Norris

David Murphy (schwuk) wrote :

The correct file to edit is /etc/checkbox.d/checkbox.ini, and you will need to be sudo'd to write to it. However a fix for this bug is being pushed into Jaunty at the moment, and should be released soon.

norris (16sinker) wrote :

Thank you. On further reading I found that the bud I was experiencing was
actually bug #344916 and the fix for it worked. I now open system testing
with no error. Thanks again to the Launchpad team.

On Thu, Apr 16, 2009 at 4:40 AM, Dave Murphy <email address hidden>wrote:

> The correct file to edit is /etc/checkbox.d/checkbox.ini, and you will
> need to be sudo'd to write to it. However a fix for this bug is being
> pushed into Jaunty at the moment, and should be released soon.
>
> --
> checkbox: run crashed with DBusException in call_blocking()
> https://bugs.launchpad.net/bugs/359440
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “checkbox” source package in Ubuntu: Fix Committed
> Status in checkbox in Ubuntu Jaunty: Fix Committed
>
> Bug description:
> checkbox (System -> Administration -> System Testing) fails to start for
> systems that have been upgraded from intrepid.
>
> TESTCASE:
> run checkbox-gtk; on failure, a python traceback will occur, ending with:
> dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied:
> Connection ":1.39" is not allowed to own the service "com.ubuntu.checkbox"
> due to security policies in the configuration file
>
> Workaround:
> In /etc/checkbox/checkbox.ini, manually add
>
> blacklist = backend_manager
>
> underneath the section heading [checkbox/plugins]
>

--
Norris

John Watts (john-watts) on 2009-04-26
description: updated
Paco Soberón (unratito) wrote :

Confirmed that it's still happening in upgrades from 8.10. And that workaround (including blacklist line in config file) still works.

norris (16sinker) wrote :

I have used the workaround and it worked for me.

On Mon, Apr 27, 2009 at 6:25 AM, Paco Soberón <email address hidden> wrote:

> Confirmed that it's still happening in upgrades from 8.10. And that
> workaround (including blacklist line in config file) still works.
>
> --
> checkbox: run crashed with DBusException in call_blocking()
> https://bugs.launchpad.net/bugs/359440
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “checkbox” source package in Ubuntu: Fix Committed
> Status in checkbox in Ubuntu Jaunty: Fix Committed
>
> Bug description:
> checkbox (System -> Administration -> System Testing) fails to start for
> systems that have been upgraded from intrepid.
>
> TESTCASE:
> run checkbox-gtk; on failure, a python traceback will occur, ending with:
> dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied:
> Connection ":1.39" is not allowed to own the service "com.ubuntu.checkbox"
> due to security policies in the configuration file
>
> Workaround:
> In /etc/checkbox.d/checkbox.ini, manually add
>
> blacklist = backend_manager
>
> underneath the section heading [checkbox/plugins]
>

--
Norris

Martin Pitt (pitti) wrote :

Accepted checkbox into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in checkbox (Ubuntu):
milestone: jaunty-updates → none
tags: added: verification-needed
Ilya Barygin (randomaction) wrote :

The update indeed blacklists backend-manager, so checkbox-gtk is working now.

Martin Pitt (pitti) on 2009-04-28
tags: added: verification-done
removed: verification-needed
Steve Beattie (sbeattie) wrote :

Also verified here that the version of checkbox in proposed, 0.7.2, fixes the issue for upgraders. Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package checkbox - 0.7.2

---------------
checkbox (0.7.2) jaunty-proposed; urgency=low

  * Fixed broken configuration patch (LP: #359440)
  * Fixed broken link to launchpad in report (LP: #354813)

 -- Marc Tardif <email address hidden> Tue, 14 Apr 2009 20:16:11 -0400

Changed in checkbox (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

copied to karmic

Changed in checkbox (Ubuntu):
status: Fix Committed → Fix Released
Hassan El Jacifi (waver) wrote :

Sorry but I still can't run checkbox from a fresh install.

18:12 waver@Terra ~% checkbox-gtk
Traceback (most recent call last):
  File "/usr/share/checkbox/run", line 40, in <module>
    main()
  File "/usr/share/checkbox/run", line 35, in main
    application = manager.create_application(sys.argv)
  File "/usr/lib/python2.6/dist-packages/checkbox/application.py", line 143, in create_application
    section = config.add_section(section_name)
  File "/usr/lib/python2.6/dist-packages/checkbox/lib/config.py", line 144, in add_section
    return self.get_section(name)
  File "/usr/lib/python2.6/dist-packages/checkbox/lib/config.py", line 134, in get_section
    attributes = dict(self._parser.items(name))
  File "/usr/lib/python2.6/ConfigParser.py", line 577, in items
    for option in options]
  File "/usr/lib/python2.6/ConfigParser.py", line 588, in _interpolate
    value = value % vars
ValueError: unsupported format character 'B' (0x42) at index 1

The config:

* checkbox-backend.ini

[DEFAULT]

# Space separated list of files to include as a dependency for the
# backend interface.
includes = %(checkbox_share)s/configs/checkbox.ini

[checkbox/plugins]

whitelist = backend_manager suites_info

[checkbox/plugins/user_interface]

# Module where the user interface implementation is defined.
interface_module = checkbox.user_interface

# Class implementing the UserInterface interface.
interface_class = UserInterface

* checkbox-gtk.ini
[DEFAULT]
includes = %(checkbox_share)s/configs/checkbox.ini

[checkbox/plugins/user_interface]
data_path = %(checkbox_share)s/gtk
interface_class = GTKInterface
interface_module = checkbox_gtk.gtk_interface

* checkbox.ini
[DEFAULT]
version = 0.7.1
plugins = checkbox/plugins
registries = checkbox/registries

[checkbox/plugins]
blacklist = backend_manager
modules = %(checkbox_share)s/plugins/*.py

[checkbox/registries]
modules = %(checkbox_share)s/registries/*.py

Packages:
ii checkbox 0.7.2
ii checkbox-gtk 0.7.2
ii debconf 1.5.26ubuntu3
un debconf-2.0
ii hal 0.5.12~rc1+git20090403-0ubuntu4
ii python 2.6.2-0ubuntu1
ii python-central 0.6.11ubuntu7
ii python-glade2 2.14.1-1ubuntu1
ii python-gtk2 2.14.1-1ubuntu1
ii lsb-release 4.0-0ubuntu0.9.04.1
ii lshw 02.13-2ubuntu2
ii policykit 0.9-2ubuntu1
ii python-dbus 0.83.0-1ubuntu1
ii python-gst0.10 0.10.14-1ubuntu1

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 9.04
Release: 9.04
Codename: jaunty

Hassan El Jacifi (waver) wrote :

I forgot to add that I can run it with sudo

tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers